Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

fanchTelecom
2011-08-22 12:07:26

Bonjour,
J'ai vécu une expérience similaire.
En Ubuntu 10.04 je fonctionnait avec pLoader-2.0.7c_linux.
Au passage à Ubuntu 11.04 cette procédure ne fonctionne plus et c'est comme cela que je suis arrivé sur ce fil de discussion.
J'ai donc suivi la procédure proposée cad (install ploader suivi de "sudo cpan Wx") et voici ce que j'obtiens au lancement:

fanch@fanch-hp:~$ /usr/bin/ploader
Can't load '/usr/lib/perl5/auto/Wx/Wx.so' for module Wx: /usr/lib/perl5/auto/Wx/Wx.so: symbol wxDefaultVideoMode, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference at /usr/lib/perl/5.10/DynaLoader.pm line 192.
at /usr/bin/ploader line 24
Compilation failed in require at /usr/bin/ploader line 24.
BEGIN failed--compilation aborted at /usr/bin/ploader line 24.

Comme il est dit à la fin du fil de discussion que le bug est désormais corrigé, sur un autre host en 11.04 j'ai fait l'install sans  "sudo cpan Wx" et ça a marché du premier coup.

Ma question:
ploader ne fonctionnant pas sur le premier ordi (qui malheureusement possède les photos), comment revenir à une situation normale permettant une installation correcte de ploader?

Merci d'avance...

Usul
2011-06-12 11:35:32

Bon,
j'ai pu résoudre mon problème en passant pas Digikam pour uploader mes photos sur ma galerie.
Et aussi par gwenview.
Il faut juste installer un plugin = http://doc.ubuntu-fr.org/digikam#installation

Cela ne fonctionnait pas dans l'ancienne version de Kubuntu/Digikam.

Merci pour votre aide.

Je clos le sujet.

Usul
2011-06-02 11:59:35

plg a écrit:

Usul, si tu reessaies le "sudo cpan Wx", tu n'as pas d'autres messages avant le "Can't test without successful make", car je n'ai pas l'impression que ce soit YAML le responsable.

Salux,
désolé du retard, mais comme c'est sur un autre ordi...

Bref.

j'ai relancé le "sudo cpan wx" répondu yes à tout.
Auparavant, j'ai installé le ploader via le gestionnaire.
Relancer le cd ~/pLoader/src/
perl ploader.pl

Cela ne fonctionne pas.
Voici le message :
perl ploader.pl
Can't open perl script "ploader.pl": Aucun fichier ou dossier de ce type

Voila, suis toujours bloqué.

Des ideés ?
Merci pour l'aide.

plg
2011-05-13 15:38:51

Usul, si tu reessaies le "sudo cpan Wx", tu n'as pas d'autres messages avant le "Can't test without successful make", car je n'ai pas l'impression que ce soit YAML le responsable.

enzobr
2011-05-12 03:36:07

Usul a écrit:

Oui, ma  connexion est acitve.
Comment as-tu procédé exactement ?

Perso, j'ai d'abord fait ce qui est dit ici :
http://fr.piwigo.org/forum/viewtopic.php?id=16806

puis j'ai lancé le sudo cpan wx en console, répondu par entrée à toutes les demandes.
Et enfin fait l'essai en lançant la dernière commande :
cd ~/pLoader/src/
perl ploader.pl

Et j'ai eu l'erreur du post plus haut.

C'est un peu compliqué dans mon cas : j'ai upgradé une 10.04 sur laquelle marchait bien pLoader 1.5, en 10.10. Je suis passé à pLoader 1.6 sur ubuntu 10.10 (en suivant la procédure que tu donnes). Enfin, j'ai upgradé sur 11.04, pLoader 1.6 ne marchait plus, j'ai tenté pLoader 1.5 j'ai réinstallé imagemagic et pas mal de dépendances en version dev, puis j'ai vu ton message et la procédure proposée par Plg. La 1ère compil a planté. J'ai redémarré et la seconde était la bonne. Depuis, ça roule.
A noter que sur un autre PC avec moins de dépendances bizarres installées, ça ne marche pas. Par contre, j'ai réussi à lancer la version 1.5 depuis les sources... essaie peut être ?

Désolé de ne pas pouvoir être plus précis !
Enzo

Usul
2011-05-11 16:15:23

enzobr a écrit:

Chez moi, avec ubuntu 11.04 mis à jour, et le code:

sudo cpan Wx

pLoader 1.6 fonctionne de nouveau correctement.

As tu une connection internet active quand tu lances sudo cpan wx ?
J'ai remarqué qu'il téléchargeait des paquets pendant la compilation.... le pb vien peut être de là ?

Bon courage,
Enzo

Oui, ma  connexion est acitve.
Comment as-tu procédé exactement ?

Perso, j'ai d'abord fait ce qui est dit ici :
http://fr.piwigo.org/forum/viewtopic.php?id=16806

puis j'ai lancé le sudo cpan wx en console, répondu par entrée à toutes les demandes.
Et enfin fait l'essai en lançant la dernière commande :
cd ~/pLoader/src/
perl ploader.pl

Et j'ai eu l'erreur du post plus haut.

enzobr
2011-05-11 03:44:40

Chez moi, avec ubuntu 11.04 mis à jour, et le code:

sudo cpan Wx

pLoader 1.6 fonctionne de nouveau correctement.

As tu une connection internet active quand tu lances sudo cpan wx ?
J'ai remarqué qu'il téléchargeait des paquets pendant la compilation.... le pb vien peut être de là ?

Bon courage,
Enzo

Usul
2011-05-08 16:34:31

plg a écrit:

En ligne de commande, lancer :

Code:

sudo cpan Wx

et cliquer sur entrée à chaque fois qu'il attend une réponse.

Normalement ça suffit (mais c'est un peu long, il compile une grosse librairie)

alors j'ai installé le ploader par les dépôts.
Puis j'ai suivi ce qui est dit dans ta première réponse avec le lien.

J'ai ensuite fait dans le terminal : sudo cpan Wx et répondu par entrée à chaque demande.
Et à la fin j'ai ce message :
Warning (usually harmless): 'YAML' not installed, will not store persistent state
Running make test
  Can't test without successful make
Running make install
  Make had returned bad status, install seems impossible


Quand je lance :
cd ~/pLoader/src/
perl ploader.pl
J'ai toujours l'erreur :
~/pLoader/src$ perl ploader.pl
Can't locate Wx.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at ploader.pl line 23.
BEGIN failed--compilation aborted at ploader.pl line 23.

Voilà les news, une idée ?

Merci

plg
2011-05-07 23:53:08

J'ai soumis un commentaire dans le bug sur Launchpad, j'espère qu'ils corrigeront le problème bientôt (a priori, il "suffit" de recompiler cette librairie)

plg
2011-05-07 23:44:53

En ligne de commande, lancer :

Code:

sudo cpan Wx

et cliquer sur entrée à chaque fois qu'il attend une réponse.

Normalement ça suffit (mais c'est un peu long, il compile une grosse librairie)

plg
2011-05-07 23:38:29

A noter que j'ai installé ploader depuis le Ubuntu Software Center, ce qui rend l'installation de pLoader encore plus facile :-)

plg
2011-05-07 23:36:23

On a donc affaire à un bug dans le packaging Ubuntu de la librairie Perl WX, voir https://bugs.launchpad.net/ubuntu/+sour … bug/754513

Je fais des essais pour contourner le problème en attendant qu'Ubuntu fournisse un correctif.

plg
2011-05-07 17:33:38

je regarde ce soir :-)

Usul
2011-05-07 16:44:49

un petit up ?

Usul
2011-05-06 20:09:09

plg a écrit:

si tu peux faire un retour sur le fonctionnement de pLoader dessus, ce serait sympa :-)

Alors voila le résultat, pas concluant pour l'instant.
Voici ce que me dit le terminal en ayant suivi ton lien.
Tout a bien fonctionné jusqu'au moment de lancer le programme.

$ cd ~/pLoader/src/
seve@seve:~/pLoader/src$ perl ploader.pl
Can't load '/usr/lib/perl5/auto/Wx/Wx.so' for module Wx: /usr/lib/perl5/auto/Wx/Wx.so: symbol wxDefaultVideoMode, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference at /usr/lib/perl/5.10/DynaLoader.pm line 192.
at ploader.pl line 23
Compilation failed in require at ploader.pl line 23.
BEGIN failed--compilation aborted at ploader.pl line 23.

Et la ça bloque.

Que dois-je faire ?
Merci de ton aide.

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact